Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java
Class GLCapabilities

    java.lang.Object
      |
      +--gl4java.GLCapabilities

All Implemented Interfaces:
  java.lang.Cloneable

public class GLCapabilities
extends java.lang.Object
implements java.lang.Cloneable

Specifies a set of OpenGL capabilities that a rendering context must support, such as color depth and whether stereo is enabled. It currently contains the minimal number of routines which allow configuration on all supported window systems.

Constructor Summary
`GLCapabilities()` Creates a GLCapabilities object.
`GLCapabilities(boolean doubleBuffer, boolean stereoView, boolean rgba, int stencilBits, int accumRedSize, int accumGreenSize, int accumBlueSize, int accumAlphaSize)` Creates a GLCapabilities object.

Method Summary
`java.lang.Object` | `clone()`
`int` | `getAccumAlphaBits()` Returns number of bits requested for accumulation buffer's alpha component.
`int` | `getAccumBlueBits()` Returns number of bits requested for accumulation buffer's blue component.
`int` | `getAccumGreenBits()` Returns number of bits requested for accumulation buffer's green component.
`int` | `getAccumRedBits()` Returns number of bits requested for accumulation buffer's red component.
`int` | `getAlphaBits()` Returns number of bits requested for color buffer's alpha component.
`int` | `getBlueBits()` Returns number of bits requested for color buffer's blue component.
`int` | `getDepthBits()` Returns number of bits requested for depth buffer
`boolean` | `getDoubleBuffered()` Indicates whether double-buffering is enabled.
`int` | `getGreenBits()` Returns number of bits requested for color buffer's green component.
`long` | `getNativeVisualID()` Get the fetched native VisualID.
`int` | `getRedBits()` Returns number of bits requested for color buffer's red component.
`int` | `getStencilBits()` Returns number of bits requested for stencil buffer
`boolean` | `getStereo()` Indicates whether stereo is enabled.
`boolean` | `getTrueColor()` Indicates whether true color (as opposed to indexed color) is enabled.
`static void` | `main(java.lang.String[] args)`
`void` | `setAccumAlphaBits(int accumAlphaBits)` Sets number of bits requested for accumulation buffer's alpha component.
`void` | `setAccumBlueBits(int accumBlueBits)` Sets number of bits requested for accumulation buffer's blue component.
`void` | `setAccumGreenBits(int accumGreenBits)` Sets number of bits requested for accumulation buffer's green component.
`void` | `setAccumRedBits(int accumRedBits)` Sets number of bits requested for accumulation buffer's red component.
`void` | `setAlphaBits(int alphaBits)` Sets number of bits requested for color buffer's alpha component.
`void` | `setBlueBits(int blueBits)` Sets number of bits requested for color buffer's blue component.
`void` | `setDepthBits(int depthBits)` Sets number of bits requested for depth buffer
`void` | `setDoubleBuffered(boolean onOrOff)` Enables or disables double buffering.
`void` | `setGreenBits(int greenBits)` Sets number of bits requested for color buffer's green component.
`void` | `setNativeVisualID(long id)` Set the fetched native VisualID.
`void` | `setRedBits(int redBits)` Sets number of bits requested for color buffer's red component.
`void` | `setStencilBits(int stencilBits)` Sets number of bits requested for stencil buffer
`void` | `setStereo(boolean onOrOff)` Enables or disables stereo viewing.
`void` | `setTrueColor(boolean onOrOff)` Enables or disables true color (RGBA mode).
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GLCapabilities

    public GLCapabilities(boolean doubleBuffer,
                          boolean stereoView,
                          boolean rgba,
                          int stencilBits,
                          int accumRedSize,
                          int accumGreenSize,
                          int accumBlueSize,
                          int accumAlphaSize)

  Creates a GLCapabilities object. All attributes are in a default state, they can be configured by the client. The arguments are the usual user defined capabilities, which can be set here for construction.

### GLCapabilities

    public GLCapabilities()

  Creates a GLCapabilities object. All attributes are in a default state, they can be configured by the client.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`

### getDoubleBuffered

    public boolean getDoubleBuffered()

  Indicates whether double-buffering is enabled.

### getTrueColor

    public boolean getTrueColor()

  Indicates whether true color (as opposed to indexed color) is enabled.

### getStereo

    public boolean getStereo()

  Indicates whether stereo is enabled.

### setDoubleBuffered

    public void setDoubleBuffered(boolean onOrOff)

  Enables or disables double buffering.

### setTrueColor

    public void setTrueColor(boolean onOrOff)

  Enables or disables true color (RGBA mode).

### setStereo

    public void setStereo(boolean onOrOff)

  Enables or disables stereo viewing.

### getDepthBits

    public int getDepthBits()

  Returns number of bits requested for depth buffer

### setDepthBits

    public void setDepthBits(int depthBits)

  Sets number of bits requested for depth buffer

### getStencilBits

    public int getStencilBits()

  Returns number of bits requested for stencil buffer

### setStencilBits

    public void setStencilBits(int stencilBits)

  Sets number of bits requested for stencil buffer

### getRedBits

    public int getRedBits()

  Returns number of bits requested for color buffer's red component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### setRedBits

    public void setRedBits(int redBits)

  Sets number of bits requested for color buffer's red component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### getGreenBits

    public int getGreenBits()

  Returns number of bits requested for color buffer's green component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### setGreenBits

    public void setGreenBits(int greenBits)

  Sets number of bits requested for color buffer's green component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### getBlueBits

    public int getBlueBits()

  Returns number of bits requested for color buffer's blue component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### setBlueBits

    public void setBlueBits(int blueBits)

  Sets number of bits requested for color buffer's blue component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### getAlphaBits

    public int getAlphaBits()

  Returns number of bits requested for color buffer's alpha component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### setAlphaBits

    public void setAlphaBits(int alphaBits)

  Sets number of bits requested for color buffer's alpha component. On some systems and in color index mode only the color depth, which is the sum of the red, green, and blue bits, is considered.

### getAccumRedBits

    public int getAccumRedBits()

  Returns number of bits requested for accumulation buffer's red component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### setAccumRedBits

    public void setAccumRedBits(int accumRedBits)

  Sets number of bits requested for accumulation buffer's red component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### getAccumGreenBits

    public int getAccumGreenBits()

  Returns number of bits requested for accumulation buffer's green component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### setAccumGreenBits

    public void setAccumGreenBits(int accumGreenBits)

  Sets number of bits requested for accumulation buffer's green component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### getAccumBlueBits

    public int getAccumBlueBits()

  Returns number of bits requested for accumulation buffer's blue component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### setAccumBlueBits

    public void setAccumBlueBits(int accumBlueBits)

  Sets number of bits requested for accumulation buffer's blue component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### getAccumAlphaBits

    public int getAccumAlphaBits()

  Returns number of bits requested for accumulation buffer's alpha component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### setAccumAlphaBits

    public void setAccumAlphaBits(int accumAlphaBits)

  Sets number of bits requested for accumulation buffer's alpha component. On some systems only the accumulation buffer depth, which is the sum of the red, green, and blue bits, is considered.

### setNativeVisualID

    public void setNativeVisualID(long id)

  Set the fetched native VisualID. This is an interface for the Factory and GLContext. Because the GLCapabilities are copied through the handling between the Factory and GLContext, you cannot missuse it .. this is the holder for the native visualID, e.g. Win32's number of the PIXELFORMATDESC, or X11's VisualID

### getNativeVisualID

    public long getNativeVisualID()

  Get the fetched native VisualID. This is an interface for the Factory and GLContext. this is the holder for the native visualID, e.g. Win32's number of the PIXELFORMATDESC, or X11's VisualID

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD